/// Python wrapper for [`crate::utils::qdf`].
pub mod qdf;

/// Python wrapper for [`crate::download`].
pub mod download;

/// Python wrapper for [`crate::panel`].
pub mod panel;

/// Python wrapper for [`crate::utils`].
pub mod utils;

use pyo3::{prelude::*, wrap_pymodule};

/// PyO3 bindings for the `msyrs` Python wrapper.
#[allow(deprecated)]
#[pymodule]
pub fn msyrs(_py: Python, m: &PyModule) -> PyResult<()> {
    m.add_wrapped(wrap_pymodule!(qdf::qdf))?;
    m.add_wrapped(wrap_pymodule!(download::download))?;
    m.add_wrapped(wrap_pymodule!(panel::panel))?;
    m.add_wrapped(wrap_pymodule!(utils::utils))?;
    Ok(())
}
